# flatredball-glue-guidisplay-propertygriddisplayer

### Introduction

The PropertyGridDisplayer is a base class that makes it easier to dynamically populate PropertyGrids with members present in a given instance. The PropertyGridDisplayer can:

* Automatically display fields and properties
* Automatically update the display on a timer
* Allow for adding custom events to be raised when certain properties are changed
* Allow for dynamic addition and removal of properties/fields
* Allow for dynamic addition and removal of attributes on properties/fields

### PropertyGridDisplayer

* [FlatRedBall.Glue.GuiDisplay.PropertyGridDisplayer.GetPropertyGridMember](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue-guidisplay-propertygriddisplayer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
